/**
 * Operatory null-aware
 */
main() {
    num number;

    print(number?.roundToDouble()); // wyświetla null. bez ?. rzucony zostałby wyjątek wskazuący że number ma wartość null
                                    // i że null nie posiada metody roundToDouble

    number = 10;
    print(number?.roundToDouble()); // wyświetla 10.0
      
    number = null; 
    print(number?.roundToDouble() ?? "number was null"); // wyświetla "number was null"
}
